summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author David Spencer <baildon.research@googlemail.com>2016-06-09 08:16:51 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-06-10 08:02:42 +0700
commita0879e4ae59bf658ff8c93baf8f86cafde94cc9b (patch)
tree69b8fae02598524d414557b57c36b835a6728c68 /gis
parent71693c47f782c7d7c0a4d12ae42d2761e9ddea60 (diff)
downloadslackbuilds-a0879e4ae59bf658ff8c93baf8f86cafde94cc9b.tar.gz
slackbuilds-a0879e4ae59bf658ff8c93baf8f86cafde94cc9b.tar.xz
gis/libspatialite: Moved from libraries/ category.
Signed-off-by: David Spencer <baildon.research@googlemail.com>
Diffstat (limited to 'gis')
-rw-r--r--gis/libspatialite/README9
-rw-r--r--gis/libspatialite/libspatialite.SlackBuild103
-rw-r--r--gis/libspatialite/libspatialite.info10
-rw-r--r--gis/libspatialite/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/gis/libspatialite/README b/gis/libspatialite/README
new file mode 100644
index 0000000000..52bbc54ffb
--- /dev/null
+++ b/gis/libspatialite/README
@@ -0,0 +1,9 @@
+SpatiaLite is an open source library intended to extend the SQLite core
+to support fully fledged Spatial SQL capabilities. SpatiaLite is smoothly
+integrated into SQLite to provide a complete and powerful Spatial DBMS
+(mostly OGC-SFS compliant). Using SQLite + SpatiaLite you can effectively
+deploy an alternative open source Spatial DBMS roughly equivalent to
+PostgreSQL + PostGIS.
+
+liblwgeom (postgis) is optional but strongly recommended dependency. To build
+spatialite with liblwgeom support set LWGEOM=yes.
diff --git a/gis/libspatialite/libspatialite.SlackBuild b/gis/libspatialite/libspatialite.SlackBuild
new file mode 100644
index 0000000000..31f493a5eb
--- /dev/null
+++ b/gis/libspatialite/libspatialite.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for SpatiaLite
+# Copyright 2012-2015 Alexander Bruy <alexander.bruy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libspatialite
+VERSION=${VERSION:-4.2.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$LWGEOM" = "yes" ] ; then
+ LWGEOM_SUPPORT="--enable-lwgeom"
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="-ldl" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --enable-freexl \
+ $LWGEOM_SUPPORT \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING INSTALL README README.coverage spatialite-sql-latest.html \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/libspatialite/libspatialite.info b/gis/libspatialite/libspatialite.info
new file mode 100644
index 0000000000..359559f802
--- /dev/null
+++ b/gis/libspatialite/libspatialite.info
@@ -0,0 +1,10 @@
+PRGNAM="libspatialite"
+VERSION="4.2.0"
+HOMEPAGE="https://www.gaia-gis.it/fossil/libspatialite/index"
+DOWNLOAD="http://www.gaia-gis.it/gaia-sins/libspatialite-sources/libspatialite-4.2.0.tar.gz"
+MD5SUM="83305ed694a77152120d1f74c5151779"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="proj geos freexl postgis"
+MAINTAINER="Alexander Bruy"
+EMAIL="alexander.bruy@gmail.com"
diff --git a/gis/libspatialite/slack-desc b/gis/libspatialite/slack-desc
new file mode 100644
index 0000000000..b00e37139d
--- /dev/null
+++ b/gis/libspatialite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libspatialite: SpatialLite (extension for SQLite database)
+libspatialite:
+libspatialite: SpatiaLite is an open source library intended to extend the SQLite
+libspatialite: core to support fully fledged Spatial SQL capabilities. SpatiaLite is
+libspatialite: smoothly integrated into SQLite to provide a complete and powerful
+libspatialite: Spatial DBMS (mostly OGC-SFS compliant).
+libspatialite:
+libspatialite: Project homepage: https://www.gaia-gis.it/fossil/libspatialite/home
+libspatialite:
+libspatialite:
+libspatialite: